View Issue Details

IDProjectCategoryView StatusLast Update
0001378Ham Radio DeluxeBugpublic2017-05-24 22:41
ReporterSupport 
Assigned ToERIK 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformNoneOSWindowsOS Version
Product Version 
Target VersionFixed in Version6.2.4 
Summary0001378: CQ Zones are inaccurate
DescriptionOne example of several noticed: reports RC9O as zone 19 when it's in zone 18.
Problem was found when researching for CQ Marathon.
Steps To ReproduceFound in the call sign lookup: reports RC9O as in zone 19 but it's in zone 18
Additional InformationReported by AJ4RW

Saw several cases of this especially in USA
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing

Relationships

Activities

WA9PIE

2014-01-22 10:05

administrator   ~0000136

The callsign lookup process is ignoring the data provided in the lookup for CQ Zone and ITU Zone. The values are being taken from the country file - regardless of what the lookup preferences are.

There have been a good number of recent reports about this. Most recently a forum post... followed by osTicket #266717.

Mike, WA9PIE

WA9PIE

2014-02-03 23:43

administrator   ~0000337

This causes bad data to be populated in the QSO record. This impacts contest scores and awards counts.

WA9PIE

2014-02-04 22:52

administrator   ~0000343

I entered AJ9C... a valid callsign.

QRZ has some information for this call, but there are NO zones in the XML.

However, Logbook populates the default values for CQ and ITU Zone from the Country list EVEN WHEN there is no zone information in the lookup data... AND when the box is unchecked that says "Use Default Location from Country List if call not found in ALE".

WA9PIE

2014-02-05 22:23

administrator   ~0000346

Today's examples...

These calls have no location information in QRZ.com:
RQ22OG
RG22EM
RJ22YY

Yet - with the "Use Default Location from Country List if call not found in ALE" unchecked, the CQ and ITU Zone fields were populated.

The correct behavior SHOULD be that the those fields are NOT filled when the "Use Default Location from Country List if call not found in ALE" is unchecked.

WA9PIE

2014-03-24 22:21

administrator   ~0000366

Tried and confirmed using the callsigns in the bug report.

Mike, WA9PIE

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:29 WA9PIE Project 2 - Next Dev List (Holding Area) => @6@
2013-12-24 21:52 WA9PIE Project @6@ => @5@
2013-12-24 22:10 WA9PIE Release => (select)
2013-12-24 22:10 WA9PIE Module => (select)
2013-12-24 22:10 WA9PIE Sub-Module => (select)
2013-12-24 22:10 WA9PIE Report Build => (select)
2013-12-24 22:10 WA9PIE Assigned To Support =>
2013-12-24 22:10 WA9PIE Severity feature => minor
2013-12-24 22:26 WA9PIE Status feedback => new
2014-01-22 10:05 WA9PIE Note Added: 0000136
2014-01-22 10:05 WA9PIE Project @5@ => 3 - Current Dev List
2014-01-27 22:57 WA9PIE Status new => confirmed
2014-02-02 12:58 WA9PIE Description Updated View Revisions
2014-02-02 12:58 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 12:58 WA9PIE Additional Information Updated View Revisions
2014-02-02 12:58 WA9PIE Summary cq zones are inaccurate => Bug: cq zones are inaccurate
2014-02-02 16:40 WA9PIE View Status private => public
2014-02-03 23:43 WA9PIE Note Added: 0000337
2014-02-03 23:43 WA9PIE Severity minor => major
2014-02-04 22:52 WA9PIE Note Added: 0000343
2014-02-05 22:16 WA9PIE Assigned To => W4PC
2014-02-05 22:16 WA9PIE Status confirmed => assigned
2014-02-05 22:23 WA9PIE Note Added: 0000346
2014-02-28 13:22 WA9PIE Assigned To W4PC => ERIK
2014-03-24 22:21 WA9PIE Release (select) => 6.1
2014-03-24 22:21 WA9PIE Fix Build => 6.2.3.248
2014-03-24 22:21 WA9PIE Module (select) => Logbook
2014-03-24 22:21 WA9PIE Sub-Module (select) => ALE Window
2014-03-24 22:21 WA9PIE Report Build (select) => 6.1.4.189
2014-03-24 22:21 WA9PIE Note Added: 0000366
2014-03-24 22:21 WA9PIE Status assigned => closed
2014-03-24 22:21 WA9PIE Resolution open => fixed
2014-10-08 22:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-10-08 22:13 WA9PIE Category Logbook => General
2015-09-30 12:03 WA9PIE Fix Build 6.2.3.248 => (select)
2015-09-30 12:03 WA9PIE Proposed Release => TBD
2015-09-30 12:03 WA9PIE Summary Bug: cq zones are inaccurate => CQ Zones are inaccurate
2015-09-30 13:35 WA9PIE Category General => Bug
2017-05-24 22:41 WA9PIE Fixed in Version => 6.2.4